package irnatura.offline;

public interface TempForwardIterator
{
    public int getWidth();
    public int getHeight();
    public int getSize(); // getWidth() * getHeight()
    // Must be called in forward row-major order:
    //  (0,0),(1,0),(2,0)...,
    //  (0,1),(1,1)...
    public int getTemp(int x, int y);
    // Must be called in forward order.
    public int getTemp(int i);
    public int getDelta(int i);

    // Description to add to PNG file
    public String getDescription();
}
